ubuntu-purchase-service fails to run tests with Qt 5.2

Bug #1273570 reported by Timo Jyrinki on 2014-01-28
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ubuntu-purchase-service (Ubuntu)
Undecided
Unassigned

Bug Description

Build logs:
https://launchpad.net/~canonical-qt5-edgers/+archive/qt5-beta2/+sourcepub/3876168/+listing-archive-extra

How to reproduce:
sudo apt-add-repository ppa:canonical-qt5-edgers/qt5-beta2
sudo apt-get update
sudo apt-get dist-upgrade
bzr branch lp:ubuntu-purchase-service
cd ubuntu-purchase-service
bzr bd

To downgrade sudo ppa-purge ppa:canonical-qt5-edgers/qt5-beta2

A fix should be so that the package continues to build against Qt 5.0.2 as well, so #ifdef etc as necessary.

Related branches

description: updated
Timo Jyrinki (timo-jyrinki) wrote :

A build with tests disabled put to the PPA so that unity-scope-click does not need to be removed.

Leo Arias (elopio) on 2014-01-31
Changed in ubuntu-purchase-service:
assignee: nobody → Diego Sarmentero (diegosarmentero)
Leo Arias (elopio) wrote :

I get this errors:

2014-02-15 07:24:57,428 - CRITICAL - ../../../../lib/SignOn/connection-manager.cpp 106 setupSocketConnection p2p error: QDBusError("org.freedesktop.DBus.Error.FileNotFound", "Failed to connect to socket /tmp/runtime-phablet/signond/socket: No such file or directory") 1
2014-02-15 07:24:57,439 - WARNING - Test '"/home/phablet/build-area/ubuntu-purchase-service-14.04+14.04.20140114.4/src/tests/qml/tst_UbuntuPurchase.qml"' has invalid size QSize(0, 0) , resizing.
2014-02-15 07:24:57,457 - WARNING - Warning: EGL suggested using X Visual ID 4 for EGL config 3, but that isn't a valid ID
2014-02-15 07:24:57,458 - WARNING - Unable to find an X11 visual which matches EGL config 3
2014-02-15 07:24:57,459 - FATAL - Could not initialize EGL
Aborted (core dumped)

Changed in ubuntu-purchase-service:
status: New → Confirmed
Timo Jyrinki (timo-jyrinki) wrote :

Diego: any update on this one?

Timo Jyrinki (timo-jyrinki) wrote :

The tests are to be temporarily disabled now.

Timo Jyrinki (timo-jyrinki) wrote :

Lowering severity, workarounded by disabling tests at https://launchpad.net/~ci-train-ppa-service/+archive/landing-006/+packages

Changed in ubuntu-purchase-service:
importance: Critical → High
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:ubuntu-purchase-service at revision 16, scheduled for release in ubuntu-purchase-service, milestone Unknown

Changed in ubuntu-purchase-service:
status: Confirmed → Fix Committed
Timo Jyrinki (timo-jyrinki) wrote :

The real fix has also been in the landing PPA now for some time, ready to be copied to archives.

Changed in ubuntu-purchase-service (Ubuntu):
status: New → Fix Committed
dobey (dobey) on 2014-03-13
Changed in ubuntu-purchase-service:
assignee: Diego Sarmentero (diegosarmentero) → Rodney Dawes (dobey)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-purchase-service - 14.04+14.04.20140310.2ubuntu1

---------------
ubuntu-purchase-service (14.04+14.04.20140310.2ubuntu1) trusty; urgency=medium

  * No-change rebuild against QtWebkit 5.1.
 -- Ricardo Salveti de Araujo <email address hidden> Thu, 13 Mar 2014 23:24:25 -0300

Changed in ubuntu-purchase-service (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-purchase-service:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers